org.fife.ui.rtextarea

## Interface GutterIconInfo

    public interface GutterIconInfo

Information about an icon displayed in a `Gutter`. Instances of this class are returned by `Gutter.addLineTrackingIcon(int, Icon)` and `Gutter.addOffsetTrackingIcon(int, Icon)`. They can later be used in calls to `Gutter.removeTrackingIcon(GutterIconInfo)` to be individually removed.

Version:
  1.0
Author:
  Robert Futrell
See Also:
  `Gutter`

### Method Summary

Methods
`Icon` `getIcon()` Returns the icon being rendered.
`int` `getMarkedOffset()` Returns the offset that is being tracked.
`String` `getToolTip()` Returns the tool tip to display when the mouse hovers over this icon.

### Method Detail

#### getIcon

    Icon getIcon()

Returns the icon being rendered.

Returns:
  The icon being rendered.

#### getMarkedOffset

    int getMarkedOffset()

Returns the offset that is being tracked. The line of this offset is where the icon is rendered. This offset may change as the user types to track the new location of the marked offset.

Returns:
  The offset being tracked.

#### getToolTip

    String getToolTip()

Returns the tool tip to display when the mouse hovers over this icon.

Returns:
  The tool tip to display.